package cn.iocoder.yudao.module.system.api.bpm;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.api.bpm.vo.CheckInApiPageReqVO;
import cn.iocoder.yudao.module.system.api.bpm.vo.CheckInCreateReqVO;
import cn.iocoder.yudao.module.system.api.bpm.vo.CheckInRecordRespVO;

import java.time.LocalDate;

public interface BpmCheckInApi {


    Boolean checkRepeat(Long elderlyId);

    Long addCheckInRecord(CheckInCreateReqVO createReqVO);

    Integer updateCurrentFlag(Long id);

    Integer updateCurrentFlagByElderId(Long elderId);

    Integer delectCheckInRecord(Long id);

    Integer completeCheckIn(Long businessId);

    PageResult<CheckInRecordRespVO> getProcessInstanceCheckInPage(CheckInApiPageReqVO apiVO);

    Integer bindBedByType(CheckInCreateReqVO createReqVO, Integer queryType);
}
